Bug 432152 - Review Request: checkgmail - System Tray Application that checks a Gmail Account for New Mail
Review Request: checkgmail - System Tray Application that checks a Gmail Acco...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 23:20 EST by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-09 15:24:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-02-08 23:20:52 EST
Spec URL: http://sundaram.fedorapeople.org/packages/checkgmail.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/checkgmail-1.13-1.fc8.src.rpm
Description: 
CheckGmail is a system tray application that checks a Gmail account for new
mail. It is fast, secure, and uses minimal bandwidth via the use of Atom feeds.
Comment 1 Rahul Sundaram 2008-02-09 00:31:07 EST
Koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=406827
Comment 2 Parag AN(पराग) 2008-02-09 01:19:13 EST
1)Source url should be 
http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

2) Good if you either use macros for all commands in SPEC like for rm also or
drop macro use for commands to
install -Dpm 0755 checkgmail $RPM_BUILD_ROOT%{_bindir}/checkgmail
gzip -d man/checkgmail.1.gz
install -Dpm 0644 man/checkgmail.1 $RPM_BUILD_ROOT%{_mandir}/man1/checkgmail.1

3) Good if you download source like and submit new SRPM
wget http://downloads.sourceforge.net/checkgmail/checkgmail-1.13.tar.bz2
this will preserve upstream tarball release timestamp.
Comment 3 Parag AN(पराग) 2008-02-09 01:26:03 EST
4) rpmlint output on RPM
checkgmail.noarch: W: file-not-utf8 /usr/share/doc/checkgmail-1.13/ChangeLog
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

checkgmail.noarch: W: file-not-utf8 /usr/share/doc/checkgmail-1.13/Readme
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).


Add following to %prep
iconv -f ISO-8859-1 -t UTF-8 ChangeLog > ChangeLog.utf8
mv ChangeLog.utf8 ChangeLog
iconv -f ISO-8859-1 -t UTF-8 Readme > Readme.utf8
mv Readme.utf8 Readme
Comment 5 Parag AN(पराग) 2008-02-09 04:21:21 EST
timestamps not preserved as asked in comment #2
upstream tarball contains
-rwxr-xr-x 1 root root 187616 2008-01-17 12:00 checkgmail
-rw-r--r-- 1 root root 1770 2007-05-08 18:56 checkgmail.1.gz

rpm installed that file as
-rwxr-xr-x 1 root root 187616 Feb  9 14:41 /usr/bin/checkgmail
-rw-r--r-- 1 root root 1770 Feb  9 14:41 /usr/share/man/man1/checkgmail.1.gz

Comment 7 Parag AN(पराग) 2008-02-09 11:02:40 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=408453
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
8f6742ba9c09f7b7b23a5be2e14708c7  checkgmail-1.13.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

SHOULD:
  1)Remove unnecessary line from SPEC
     INSTALL="install -p"
 

APPROVED.
Comment 8 Rahul Sundaram 2008-02-09 11:10:33 EST
New Package CVS Request
=======================
Package Name: checkgmail
Short Description: System Tray Application that checks a Gmail Account for New Mail
Owners: sundaram
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: Yes
Comment 9 Kevin Fenzi 2008-02-09 14:54:56 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.